Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyComm::StructuredPushConsumer Interface Reference

Defines the interface used by push-style consumers of structured events. More...

`import "CosNotifyComm.idl";`

Inheritance diagram for CosNotifyComm::StructuredPushConsumer:

[legend]
Collaboration diagram for CosNotifyComm::StructuredPushConsumer:

[legend]
List of all members.

## Public Methods
void | push_structured_event (in CosNotification::StructuredEvent notification) raises (CosEventComm::Disconnected)
| Receive one structured event.
void | disconnect_structured_push_consumer ()
| The peer has disconnected.

## Detailed Description

Defines the interface used by push-style consumers of structured events.

Push-style consumers passively receive events from the Notification Service. The events are provided using the CosNotification::StructuredEvent structure.

## Member Function Documentation

void CosNotifyComm::StructuredPushConsumer::disconnect_structured_push_consumer | ( |  | ) |

| The peer has disconnected. This operation is invoked by the consumer peer when it wishes to disconnect. The consumer can safely assume that no more events will follow this request.

void CosNotifyComm::StructuredPushConsumer::push_structured_event | ( | in CosNotification::StructuredEvent | notification | ) | raises (CosEventComm::Disconnected)

  | Receive one structured event. This operation is invoked to provide one event to the consumer. Exceptions:
  CosEventComm::Disconnected | if the object considers itself no longer connected to its peer.

The documentation for this interface was generated from the following file:

- CosNotifyComm.idl